Request creation of Wikimedia Incubator labs project
Closed, ResolvedPublic

Description

Project Name: incubator
Purpose: Development and testing of the WikimediaIncubator extension
Wikitech Username of requestor: Hydriz
Brief description: This project is to be used for creating a MediaWiki instance for developing and testing of the WikimediaIncubator extension.
How soon you are hoping this can be fulfilled: ASAP, but not urgent

A previous project under the same name used to exist, and for the same purpose. However, it was deleted due to inactivity then. I would like to restart this old project and resume fixing issues on the extension (see MediaWiki-extensions-WikimediaIncubator for the workboard).

Also, I would request to have 1 public IP assigned to this project for a Parsoid instance, which I would need to test the effects of the extension on Parsoid and VisualEditor. For project quotas, I would love to have sufficient room to work with, but it is likely that I would not be using much. NFS can be safely disabled too.

Related Objects

Hydriz created this task.Feb 26 2017, 10:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 26 2017, 10:49 AM
Hydriz updated the task description. (Show Details)Feb 26 2017, 10:52 AM
Andrew added a subscriber: Andrew.Feb 27 2017, 4:30 PM

Can you explain more about needing a public IP for parsoid? Can't the parsoid service run behind a port-specific proxy? It's http right?

(Project request is approved but we need more info re: the floating IP request)

Apologies. If Parsoid can run behind the webproxy then I am fine with not having a public IP. Thanks for your help!

Andrew closed this task as Resolved.Mar 6 2017, 2:54 PM
Andrew claimed this task.

Sorry for the delay in creation, I was sick most of last week. This project has been created, with @Hydriz as the projectadmin.

Hydriz added a comment.Mar 6 2017, 3:02 PM

Awesome. As always, health over work. Thanks for your help!